//
//  AppDelegate.h
//  Thunder Tracker
//
//  Created by Kyle McElyea on 3/31/12.
//  Copyright (c) 2012 OmNomRobot. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>
#import "BDSourceListController.h"

@class MAAttachedWindow;
@interface AppDelegate : NSObject <NSApplicationDelegate> {
IBOutlet NSMenu *statusMenu;
MAAttachedWindow *attachedWindow;
NSStatusItem * statusItem;
IBOutlet NSView *view;
IBOutlet NSPopover *RSSPop;
IBOutlet NSButton *RSSButton;
IBOutlet NSPopover *UpcomingPop;
IBOutlet NSButton *UpcomingButton;
IBOutlet NSPopover *StatPop;
IBOutlet NSButton *StatButton;
IBOutlet WebView *StatWebView;

    
    ///scores
    IBOutlet NSPopover *ScorePop;
    IBOutlet NSButton *ScoreButton;
    IBOutlet WebView *ScoreWebView;
    
    IBOutlet WebView *ThunderStats;
    
    
    // RSS Feed additions //
    //
    //
    // Main View
	IBOutlet NSSplitView *sourceListSplitView;
	IBOutlet NSSplitView *itemsSplitView;
	IBOutlet NSTableView *sourceList;
	IBOutlet NSTableView *itemsView;
	IBOutlet WebView *webView;
	IBOutlet BDSourceListController *sourceListController;
	
	// Data
	IBOutlet NSArrayController *feeds;
	IBOutlet NSArrayController *feedItems;
	BOOL _isUpdatingFeeds;
	NSThread *_updateThread;
    
    
    //Thunder Image Click
    
    
}


@property (nonatomic, retain)IBOutlet NSMenu *statusMenu;
@property (nonatomic, retain)IBOutlet NSPopover *RSSPop;
@property (nonatomic, retain)IBOutlet NSPopover *UpcomingPop;
@property (nonatomic, retain)IBOutlet NSPopover *StatPop;
@property (nonatomic, retain)IBOutlet WebView *StatWebView;
@property (nonatomic, retain)IBOutlet NSPopover *ScorePop;
@property (nonatomic, retain)IBOutlet WebView *ScoreWebView;
@property (nonatomic, retain)IBOutlet WebView *ThunderStats;

//rss stuff
- (NSArrayController *)feeds;
- (void)updateWebView;

- (IBAction)updateFeeds:(id)sender;
- (BOOL)addFeedToList:(NSString *)feedString;
- (void)loadUrlIntoWebView:(NSURL *)url;
- (IBAction)openURLInBrowser:(id)sender;

//end of rss stuff
-(IBAction)RSSPop:(id)sender;
-(IBAction)UpcomingPop:(id)sender;
-(IBAction)StatPop:(id)sender;
-(IBAction)ScorePop:(id)sender;
-(IBAction)ThunderClick:(id)sender;

- (void)toggleAttachedWindowAtPoint:(NSPoint)pt;
@end
