//
//  FeedItem.m

#import "FeedItem.h"

@implementation FeedItem

- (id)init
{
    if (self = [super init])
    {
        _properties = [[NSMutableDictionary alloc] init];
    }
    return self;
}



- (NSMutableDictionary *)properties
{
    return _properties;
}

- (void)setProperties:(NSDictionary *)newProperties
{
	_properties = [[NSMutableDictionary alloc] initWithDictionary:newProperties];
}

- (BOOL)isEqual:(id)anObject
{
	// Ensure it's the same class.
	if ([self class] != [anObject class])
	{
		return NO;
	}
	
	// Compare all the keys from the foreign object.
	NSEnumerator *foreignKeys = [[anObject properties] keyEnumerator];
	NSString *key;
	while (key = [foreignKeys nextObject])
	{
		if (![[[self properties] valueForKey:key] isEqual:[[anObject properties] valueForKey:key]])
		{
			return NO;
		}
	}

	// The two objects seem to be the same.
	return YES;
}

@end
